import { select } from 'd3';

export const viz = (
  container,
  { state, setState }
) => {
  const svg = select(container)
    .selectAll('svg')
    .data([null])
    .join('svg')
    .attr('width', window.innerWidth)
    .attr('height', window.innerHeight);

  svg.on('mousemove', (event) => {
    setState(() => ({
      x: event.x,
      y: event.y,
    }));
  });

  const { x, y } = state;

  svg
    .selectAll('circle')
    .data([null])
    .join('circle')
    .attr('cx', x)
    .attr('cy', y)
    .attr('r', 50);
};
